<script lang="ts">
    import { options } from './options'

    export let disabled = false

    let newMissingValue = ''

    function add() {
        options.update((opts) => {
            opts.addMissingValue(newMissingValue)
            newMissingValue = ''
            return opts
        })
    }

    function remove(value: string) {
        options.update((opts) => opts.removeMissingValue(value))
    }
</script>

<div class="font-bold pb-2">Missing values</div>

<div class="bg-white flex flex-wrap fake-input p-1">
    {#each [...$options.missingValues] as value}
        <span class="border border-grijs-4 m-1 pl-2 font-normal" class:p-2={disabled}>
            {#if value}
                <span>{value}</span>
            {:else}
                <span class="italic text-grijs-4">empty</span>
            {/if}
            {#if !disabled}
                <span class="inline-block py-2 px-3 cursor-pointer text-donkerblauw" on:click={() => remove(value)}>
                    &times;
                </span>
            {/if}
        </span>
    {/each}
    {#if !disabled}
        <form class="flex-auto" on:submit|preventDefault={add}>
            <input type="text" class="p-3 w-full" placeholder="Add missing value" bind:value={newMissingValue}>
        </form>
    {/if}

</div>


<style>
    .fake-input:focus-within {
        outline: 2px dotted black;
        outline-offset: 2px;
    }

    .fake-input input:focus {
        outline: none;
    }
</style>
